%define pkg_name        Module-Packaged
%define pkg_version     0.86
%define rpm_pkg_version 0.86
%define rpm_pkg_release 1.n0i.7

Summary:       Report upon packages of CPAN distributions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(App::Cache)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(IO::File) >= 1.08
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Zlib) >= 1.01
BuildRequires: perl(LWP::Simple) >= 1.38
BuildRequires: perl(Parse::CPAN::Packages) >= 2.20
BuildRequires: perl(Parse::Debian::Packages) >= 0.01
BuildRequires: perl(Sort::Versions) >= 1.5
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.47
%endif


%description
CPAN consists of distributions. However, CPAN is not an isolated system -
distributions are also packaged in other places, such as for operating
systems. This module reports whether CPAN distributions are packaged for
various operating systems, and which version they have.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# requires internet connection!
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.86-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.86

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.85-1.n0i.6
- version 0.85

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 0.84-1.n0i.5
- version 0.84

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.81-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.73-1.n0i.3
- version 0.73
- switched requirements from CPAN::DistnameInfo and File::Slurp to
  Parse::CPAN::Packages and Perl6::Slurp
- added requires for every versioned module
- spec updates

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.72-0.n0i.2
- version 0.72

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:0.67-0.n0i.1
- version 0.67
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
